%YAML 1.1
---
gfVersion: v1.0
class: app

name: minimap2-gf
description: Minimap2 sequence aligner
repo_uri: https://gitlab.com/geneflow/apps/minimap2-gf.git
version: '2.17-02'
inputs:
  input:
    label: Input Sequence File
    description: Input sequence in FASTA/FASTQ format
    type: File
  reference:
    label: Reference Sequence
    description: Reference Sequence in FASTA format
    type: File
parameters:
  preset:
    label: Preset Options
    description: Preset options (map-ont, map-pb, asm20, sr)
    type: string
    default: map-ont
  threads:
    label: Threads
    description: Number of CPU threads
    type: int
    default: 4
  output:
    label: Output SAM File
    description: Output SAM file
    type: File
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-minimap2-gf-2.17-02{{ revision }}
{% endif %}
  local:
    script: minimap2-gf.sh
...